Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.quartz.core
Class QuartzSchedulerResources

    java.lang.Object
      org.quartz.core.QuartzSchedulerResources

public class QuartzSchedulerResources
extends Object

Contains all of the resources (`JobStore`,`ThreadPool`, etc.) necessary to create a ``QuartzScheduler`` instance.

Author:
  James House
See Also:
  `QuartzScheduler`

Field Summary
`static String` | `CREATE_REGISTRY_ALWAYS`
`static String` | `CREATE_REGISTRY_AS_NEEDED`
`static String` | `CREATE_REGISTRY_NEVER`

Constructor Summary
`QuartzSchedulerResources()` Create an instance with no properties initialized.

Method Summary
`String` | `getInstanceId()` Get the instance Id for the ``QuartzScheduler``.
`JobRunShellFactory` | `getJobRunShellFactory()` Get the ``JobRunShellFactory`` for the ``QuartzScheduler`` to use.
`JobStore` | `getJobStore()` Get the ``JobStore`` for the ``QuartzScheduler`` to use.
`String` | `getName()` Get the name for the ``QuartzScheduler``.
`String` | `getRMICreateRegistryStrategy()` Get the setting of whether or not Quartz should create an RMI Registry, and if so, how.
`String` | `getRMIRegistryHost()` Get the host name of the RMI Registry that the scheduler should export itself to.
`int` | `getRMIRegistryPort()` Get the port number of the RMI Registry that the scheduler should export itself to.
`int` | `getRMIServerPort()` Get the port number the scheduler server will be bound to.
`String` | `getThreadName()` Get the name for the ``QuartzSchedulerThread``.
`ThreadPool` | `getThreadPool()` Get the ``ThreadPool`` for the ``QuartzScheduler`` to use.
`String` | `getUniqueIdentifier()`
`static String` | `getUniqueIdentifier(String schedName, String schedInstId)`
`void` | `setInstanceId(String instanceId)` Set the name for the ``QuartzScheduler``.
`void` | `setJobRunShellFactory(JobRunShellFactory jobRunShellFactory)` Set the ``JobRunShellFactory`` for the ``QuartzScheduler`` to use.
`void` | `setJobStore(JobStore jobStore)` Set the ``JobStore`` for the ``QuartzScheduler`` to use.
`void` | `setName(String name)` Set the name for the ``QuartzScheduler``.
`void` | `setRMICreateRegistryStrategy(String rmiCreateRegistryStrategy)` Set whether or not Quartz should create an RMI Registry, and if so, how.
`void` | `setRMIRegistryHost(String hostName)` Set the host name of the RMI Registry that the scheduler should export itself to.
`void` | `setRMIRegistryPort(int port)` Set the port number of the RMI Registry that the scheduler should export itself to.
`void` | `setRMIServerPort(int port)` Set the port number the scheduler server will be bound to.
`void` | `setThreadName(String threadName)` Set the name for the ``QuartzSchedulerThread``.
`void` | `setThreadPool(ThreadPool threadPool)` Set the ``ThreadPool`` for the ``QuartzScheduler`` to use.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### CREATE_REGISTRY_NEVER

    public static final String CREATE_REGISTRY_NEVER

See Also:
  Constant Field Values

### CREATE_REGISTRY_ALWAYS

    public static final String CREATE_REGISTRY_ALWAYS

See Also:
  Constant Field Values

### CREATE_REGISTRY_AS_NEEDED

    public static final String CREATE_REGISTRY_AS_NEEDED

See Also:
  Constant Field Values

Constructor Detail

### QuartzSchedulerResources

    public QuartzSchedulerResources()

  Create an instance with no properties initialized.

Method Detail

### getName

    public String getName()

  Get the name for the ``QuartzScheduler``.

### setName

    public void setName(String name)

  Set the name for the ``QuartzScheduler``.

  Throws:
    `IllegalArgumentException` - if name is null or empty.

### getInstanceId

    public String getInstanceId()

  Get the instance Id for the ``QuartzScheduler``.

### setInstanceId

    public void setInstanceId(String instanceId)

  Set the name for the ``QuartzScheduler``.

  Throws:
    `IllegalArgumentException` - if name is null or empty.

### getUniqueIdentifier

    public static String getUniqueIdentifier(String schedName,
                                             String schedInstId)

### getUniqueIdentifier

    public String getUniqueIdentifier()

### getRMIRegistryHost

    public String getRMIRegistryHost()

  Get the host name of the RMI Registry that the scheduler should export itself to.

### setRMIRegistryHost

    public void setRMIRegistryHost(String hostName)

  Set the host name of the RMI Registry that the scheduler should export itself to.

### getRMIRegistryPort

    public int getRMIRegistryPort()

  Get the port number of the RMI Registry that the scheduler should export itself to.

### setRMIRegistryPort

    public void setRMIRegistryPort(int port)

  Set the port number of the RMI Registry that the scheduler should export itself to.

### getRMIServerPort

    public int getRMIServerPort()

  Get the port number the scheduler server will be bound to.

### setRMIServerPort

    public void setRMIServerPort(int port)

  Set the port number the scheduler server will be bound to.

### getRMICreateRegistryStrategy

    public String getRMICreateRegistryStrategy()

  Get the setting of whether or not Quartz should create an RMI Registry, and if so, how.

### getThreadName

    public String getThreadName()

  Get the name for the ``QuartzSchedulerThread``.

### setThreadName

    public void setThreadName(String threadName)

  Set the name for the ``QuartzSchedulerThread``.

  Throws:
    `IllegalArgumentException` - if name is null or empty.

### setRMICreateRegistryStrategy

    public void setRMICreateRegistryStrategy(String rmiCreateRegistryStrategy)

  Set whether or not Quartz should create an RMI Registry, and if so, how.

  See Also:
    `CREATE_REGISTRY_ALWAYS`, `CREATE_REGISTRY_AS_NEEDED`, `CREATE_REGISTRY_NEVER`

### getThreadPool

    public ThreadPool getThreadPool()

  Get the ``ThreadPool`` for the ``QuartzScheduler`` to use.

### setThreadPool

    public void setThreadPool(ThreadPool threadPool)

  Set the ``ThreadPool`` for the ``QuartzScheduler`` to use.

  Throws:
    `IllegalArgumentException` - if threadPool is null.

### getJobStore

    public JobStore getJobStore()

  Get the ``JobStore`` for the ``QuartzScheduler`` to use.

### setJobStore

    public void setJobStore(JobStore jobStore)

  Set the ``JobStore`` for the ``QuartzScheduler`` to use.

  Throws:
    `IllegalArgumentException` - if jobStore is null.

### getJobRunShellFactory

    public JobRunShellFactory getJobRunShellFactory()

  Get the ``JobRunShellFactory`` for the ``QuartzScheduler`` to use.

### setJobRunShellFactory

    public void setJobRunShellFactory(JobRunShellFactory jobRunShellFactory)

  Set the ``JobRunShellFactory`` for the ``QuartzScheduler`` to use.

  Throws:
    `IllegalArgumentException` - if jobRunShellFactory is null.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Quartz Enterprise Job Scheduler Project Page
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD